#
# spec file for package geoipupdate
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           geoipupdate
Version:        2.5.0
Release:        lp150.1.7
Summary:        GeoIP update client code
License:        GPL-2.0
Group:          Productivity/Networking/System
Url:            https://www.maxmind.com
Source0:        https://github.com/maxmind/geoipupdate/releases/download/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(zlib)
Conflicts:      GeoIP < 1.6.0

%description
The GeoIP Update program performs automatic updates of GeoIP2 and GeoIP
Legacy binary databases. Currently the program only supports Linux and
other Unix- like systems.

%prep
%setup -q

%build
%configure \
  --datadir=%{_localstatedir}/lib
make %{?_smp_mflags}

%install
%make_install
install -d %{buildroot}%{_localstatedir}/lib/GeoIP
install -D -p -m 0644 conf/GeoIP.conf.default \
  %{buildroot}%{_sysconfdir}/GeoIP.conf.default
rm -rf %{buildroot}%{_datadir}/doc/geoipupdate

%check
make check

%files
%doc README.md ChangeLog.md LICENSE
%config(noreplace) %{_sysconfdir}/GeoIP.conf
%config %{_sysconfdir}/GeoIP.conf.default
%dir %{_localstatedir}/lib/GeoIP
%{_bindir}/geoipupdate
%{_mandir}/man1/geoipupdate.1%{ext_man}
%{_mandir}/man5/GeoIP.conf.5%{ext_man}

%changelog
* Thu Nov 16 2017 mpluskal@suse.com
- Update to version 2.5.0:
  * Document the LockFile option in the GeoIP.conf man page.
  * Remove unused base64 library.
  * Add the new configuration option PreserveFileTimes. If set, the
    downloaded files will get the same modification times as their
    original on the server. Default is 0 (unset).
  * Use the correct types when calling curl_easy_setopt().
  * In GeoIP.conf, the UserId option was renamed to AccountID and
    the ProductIds option was renamed to EditionIDs. The old
    options will continue to work, but upgrading to the new names
    is recommended for forward compatibility.
- Cleanup previous changelog entry
- Run tests during build
* Mon Oct 16 2017 Mathias.Homann@opensuse.org
- Update to version 2.4.0:
  * geoipupdate now checks that the database directory is writable.
    If it is not, it reports the problem and aborts.
  * geoipupdate now acquires a lock when starting up to ensure only
    one instance may run at a time. A new option, LockFile, exists
    to set the file to use as a lock. By default, LockFile is the
    file .geoipupdate.lock in the database directory.
  * geoipupdate now prints out additional information from the
    server when a download request results in something other than
    HTTP status 2xx. This provides more information when the API
    does not respond with a database file. In conjunction with
    changes to the download service itself, errors such as lacking
    a subscription no longer show up with the message "not a valid
    gzip file".
  * ${datarootdir}/GeoIP is now created on make install.
* Thu Jan  5 2017 mpluskal@suse.com
- Update to version 2.3.1:
  * geoipupdate now uses TCP keep-alive when compiled with cURL
    7.25 or greater.
  * Previously, on an invalid gzip file, geoipupdate would output
    binary data to stderr. It now displays an appropriate error
    message.
  * Install README, ChangeLog, GeoIP.conf.default etc into docdir.
  * $(sysconfdir) is now created if it doesn't exist.
  * The sample config file is now usable.
* Fri Jul  1 2016 toddrme2178@gmail.com
- Fix Group tag.
* Thu Feb  4 2016 mpluskal@suse.com
- Update to version 2.2.2
  * geoipupdate now calls fsync on the database directory after a
    rename to make it durable in the event of a crash.
* Sun Nov  8 2015 p.drouand@gmail.com
- Update to version 2.2.1
  * Version bump to fix PPA issue
- Changes from version 2.2.0
  * geoipupdate now verifies the MD5 of the new database before
    deploying it. If the database MD5 does not match the expected MD5,
    geoipupdate will exit with an error.
  * The copy of base64.c and base64.h was switched to a version under
    GPL 2+ to prevent a license conflict.
  * The LICENSE file was added to the distribution.
  * Several issues in the documentation were fixed.
- Remove gpl-2.0.txt; now included in the tarball
- Perform a spec-cleaner
* Sat Feb 21 2015 mpluskal@suse.com
- Initial packaging
